ChartDirector Ver 5.0 (PHP Edition)

AngularAxis.setLabels2

Usage

setLabels2(labels [, formatString ])

Description

Sets the numeric labels to be used on the axis.
This method is typically used to set the angular axis to enumerated scale. For more details on what is enumerated axis scale, please refer to AngularAxis.setLabels.
In some cases, it may be desirable to skip some labels. If you want to leave a label position empty, use NoValue as the axis label.

Arguments

Argument | Default | Description
--- | --- | ---
labels | (Mandatory) | An array of numbers to be used as the axis labels.
formatString | "" | A format string to specified how to format the labels into human readable form. Please refer to Axis.setLabelFormat for the syntax of the format string. An empty string means the format will be automatically determined.

Return Value

A TextBox object representing the prototype of the axis labels. This may be used to fine-tune the appearance of the axis labels.

© 2009 Advanced Software Engineering Limited. All rights reserved.